Bug 156159 - Symlink vulnerability in %scriptlets
Symlink vulnerability in %scriptlets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-27 20:16 EDT by Enrico Scholz
Modified: 2014-01-21 17:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 16:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-04-27 20:16:14 EDT
Description of problem:

Scriptlets contain 

| %pre
| ...
| touch /tmp/dovecot-restart-after-rpm-install

As /tmp is writable by everybody, an attacker could cause the creation of
arbitrary files. It would be better to use a directory like /var/run for such
flags as it is writable by root only.


Version-Release number of selected component (if applicable):

dovecot-0.99.14-2.fc4
Comment 1 John Dennis 2005-04-28 16:05:34 EDT
fixed in dovecot-0.99.14-5.fc4

Same issue occurs in mailman, fixed there too
mailman-2.1.5-36.fc4

Note You need to log in before you can comment on or make changes to this bug.